
# OPTIMIZE
  set effort quick
  set area false
  set delay true
  set chip true
  set macro false
  set hierarchy_auto true
  set hierarchy_preserve false

  optimize .tim_fpga2.f2_top_80_0_0.struct -target xis2e -effort quick -auto -chip -hierarchy auto
  optimize_timing .tim_fpga2.f2_top_80_0_0.struct

  # WRITE DESIGN NETLIST
  auto_write -format edif "H:/tim3/hds/fpga2/ls/f2_top_struct/netlists/f2_top.edf"

  # WRITE XDB FILE
  auto_write -format xdb "H:/tim3/hds/fpga2/ls/f2_top_struct/xdb/f2_top.xdb"

  # WRITE REPORTS
  report_area -cell_usage > "H:/tim3/hds/fpga2/ls/f2_top_struct/reports/f2_top_sum.txt"
  report_delay -num_paths 1 -clock_frequency >> "H:/tim3/hds/fpga2/ls/f2_top_struct/reports/f2_top_sum.txt"

  set output_file "H:/tim3/hds/fpga2/ls/f2_top_struct/netlists/f2_top.edf"
