
------------------------------------------------------------------------------
-- ARCHITECTURE
------------------------------------------------------------------------------
architecture tim of pulser is



------------------------------------------------------------------------------
-- SIGNAL DECLARATIONS
------------------------------------------------------------------------------
      
   signal sig0     : std_logic;
   signal sig1     : std_logic;
               
-------------------------------------------------------------------------------
--	MAIN CODE
-------------------------------------------------------------------------------
begin
      
   -- edge to level
   --sig0 <= (sin and en) or (sig0 and (not clr));
      
   --*** this does not capture short pulses due to clocking -- more investigation needed
   
   -- clocked rising edge detector
   process (rst, clk)
   begin
   
      if (rst = '1') then
         sig1 <= '0';
         sig0 <= '0';
                     
      elsif rising_edge(clk) then
      
      	sig0 <= (sin and en) or (sig0 and (not clr));

         if    (sig1 = '1') and (sig0 = '0') then 
         	sig1 <= '0';
         	
         elsif (sig1 = '1') and (sig0 = '1') then 
         	sig1 <= '1';
         	
         else								         	  
         	sig1 <= '0';
         	
         end if;
         
      end if;
   end process;

   sout <= sig1;
      

end tim;     