-- hds header_start
-- hds header_end

library ieee;
use ieee.std_logic_1164.ALL;

library XilinxCoreLib;


entity cg_spram1kx16 is
   port( 
      addr : in     std_logic_VECTOR (9 downto 0);
      clk  : in     std_logic;
      din  : in     std_logic_VECTOR (15 downto 0);
      dout : out    std_logic_VECTOR (15 downto 0);
      en   : in     std_logic;
      we   : in     std_logic
   );

-- Declarations

end cg_spram1kx16 ;


-- hds interface_end


-- pragma synthesis_off
ARCHITECTURE cg_spram1kx16_a OF cg_spram1kx16 IS

component wrapped_cg_spram1kx16
	port (
	addr: IN std_logic_VECTOR(9 downto 0);
	clk: IN std_logic;
	din: IN std_logic_VECTOR(15 downto 0);
	dout: OUT std_logic_VECTOR(15 downto 0);
	en: IN std_logic;
	we: IN std_logic);
end component;

-- Configuration specification 
	for all : wrapped_cg_spram1kx16 use entity XilinxCoreLib.blkmemsp_v5_0(behavioral)
		generic map(
			c_sinit_value => "0",
			c_reg_inputs => 0,
			c_yclk_is_rising => 1,
			c_has_en => 1,
			c_ysinit_is_high => 1,
			c_ywe_is_high => 1,
			c_ytop_addr => "1024",
			c_yprimitive_type => "4kx1",
			c_yhierarchy => "hierarchy1",
			c_has_rdy => 0,
			c_has_limit_data_pitch => 0,
			c_write_mode => 0,
			c_width => 16,
			c_yuse_single_primitive => 0,
			c_has_nd => 0,
			c_enable_rlocs => 0,
			c_has_we => 1,
			c_has_rfd => 0,
			c_has_din => 1,
			c_ybottom_addr => "0",
			c_pipe_stages => 0,
			c_yen_is_high => 1,
			c_depth => 1024,
			c_has_default_data => 1,
			c_limit_data_pitch => 8,
			c_has_sinit => 0,
			c_mem_init_file => "mif_file_16_1",
			c_default_data => "0",
			c_ymake_bmm => 0,
			c_addr_width => 10);
BEGIN

U0 : wrapped_cg_spram1kx16
		port map (
			addr => addr,
			clk => clk,
			din => din,
			dout => dout,
			en => en,
			we => we);
END cg_spram1kx16_a;

-- pragma synthesis_on


