
------------------------------------------------------------------------------
-- ARCHITECTURE
------------------------------------------------------------------------------
architecture timx of first_test is



------------------------------------------------------------------------------
-- SIGNAL DECLARATIONS
------------------------------------------------------------------------------

	signal counter	: std_logic_vector(25 downto 0);
	signal data		: std_logic_vector( 7 downto 0);

begin
-------------------------------------------------------------------------------
-- INSTANTIATIONS
-------------------------------------------------------------------------------   



-------------------------------------------------------------------------------
--	MAIN CODE
-------------------------------------------------------------------------------

	process (reset, clk)
	begin
	
		if (reset = '1') then
			counter 	<= (others => '0');
			data		<= (others => '0');
			
		elsif rising_edge(clk) then
			counter <= counter + '1';
			-- 40Mhz = 0x2625A00 = 26 bits
			
			case counter(25 downto 22) is
			-- *** for sim only
			--case counter(4 downto 0) is			
	      	when "0000" =>  data <= "10000000";
	      	when "0001" =>  data <= "01000000";
	      	when "0010" =>  data <= "00100000";
	      	when "0011" =>  data <= "00010000";
	      	when "0100" =>  data <= "00001000";
	      	when "0101" =>  data <= "00000100";
	      	when "0110" =>  data <= "00000010";
	      	when "0111" =>  data <= "00000001";
	      	when "1000" =>  data <= "00000001";
	      	when "1001" =>  data <= "00000010";
	      	when "1010" =>  data <= "00000100";
	      	when "1011" =>  data <= "00001000";
	      	when "1100" =>  data <= "00010000";
	      	when "1101" =>  data <= "00100000";
	      	when "1110" =>  data <= "01000000";
	      	when "1111" =>  data <= "10000000";
	      	
	        	when others =>  data <= "00000000";
			end case;
		end if;
	end process;
	  	
	ftdata_o <= data;

end timx;























